<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/performance/wh/P0000013_update_deliveries" xml:lang="it">
   <Header>
      <Title>Aggiornamento delle consegne</Title>
      <Keyword type="header" order="d1e1141507">
         <Level1>Valido per LN FP0, FP1, FP2, FP3, FP4, FP5, FP6, 10, 10.2</Level1>
         <Level2>aggiornamento delle consegne</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1141512">
         <Level1>Ricevimento automatico</Level1>
         <Level2>creazione</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1141517">
         <Level1>Ricevimento</Level1>
         <Level2>creazione automatico</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1141522">
         <Level1>Avvio</Level1>
         <Level2>ricevimento automatico</Level2>
      </Keyword>
      <Keyword type="header" order="d1e1141527">
         <Level1>Effetti sulla CPU</Level1>
         <Level2>utilizzo di lotti e numeri di serie</Level2>
      </Keyword>
   </Header>
   <GeneralSection>
      <Paragraph>Nel corso del processo di consegna, un ordine di vendita viene aggiornato più volte da <GUIRef href="/baanerp/wh" role="package">Magazzino</GUIRef>.</Paragraph>
      <Paragraph>Per eseguire direttamente questi aggiornamenti, nel campo <Link href="/baanerp/wh/inh/whinh0100m000#whinh000.upsd" role="formfield">Aggiorna consegne vendite</Link> della sessione <GUIRef href="/baanerp/wh/inh/whinh0100m000" role="session">Parametri gestione scorte (whinh0100m000)</GUIRef> selezionare <GUIRef href="/baanerp/wh/domains/inh.upsd#direct" role="option">Diretto</GUIRef>.</Paragraph>
      <Paragraph>Selezionare <GUIRef href="/baanerp/wh/domains/inh.upsd#decoupled" role="option">Indipendente</GUIRef> per dividere il processo di conferma di una riga di spedizione e aggiornamento dell'ordine di vendita di origine in due processi separati e migliorare quindi le prestazioni perché la tabella su cui è basata la sessione <GUIRef href="/baanerp/wh/inh/whinh4139m000" role="session">Consegne (whinh4139m000)</GUIRef> è molto più piccola della tabella corrispondente della sessione <GUIRef href="/baanerp/wh/inh/whinh4131m000" role="session">Righe spedizione (whinh4131m000)</GUIRef>. Vengono pertanto eseguite query solo su una piccola tabella di processo con un numero limitato di record invece che sulla tabella delle righe di spedizione di dimensioni molto più estese.</Paragraph>
      <Paragraph>Per migliorare ulteriormente le prestazioni del sistema, selezionare <GUIRef href="/baanerp/wh/domains/inh.upsd#batch" role="option">Batch</GUIRef>. Questa opzione consente di eseguire gli aggiornamenti in un processo batch nelle ore di inattività, riducendo così il rischio di problemi di blocco.</Paragraph>
      <GeneralSection>
         <SectionTitle> Aspetti relativi alle prestazioni</SectionTitle>
         <List>
            <ListItem> Effetti sulla CPU: Sì</ListItem>
            <ListItem> Effetti sulla crescita del database: Non applicabile</ListItem>
         </List>
      </GeneralSection>
   </GeneralSection>
</ManualTopic>